path: /build/build/distlib-dev-python-0.3.9.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env:
  - JOBS=3
  - LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages"
  - LUET_PORTAGE_IGNORE_TAR_WARNING=1
  - LUET_PORTAGE_PKGMETA=1
  - LUET_PORTAGE_PKGFILES=1
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude:
  - |
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/distlib -pv -t
  - |
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/distlib
  - eval 'rm -rf /pkgdir/ || true' && mkdir -p /pkgdir/distlib && luet-portage --dir
    /pkgdir/distlib dev-python/distlib
  - rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/* || true
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:109876a27db7aabdfdc1702edeeeac80daf01770fb6d8be257787a145a5464e6
  package:
    name: distlib
    version: 0.3.9
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race7
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Distribution utilities
    uri:
    - https://github.com/pypa/distlib https://pypi.org/project/distlib/
    buildtimestamp: 2024-12-12 15:34:52.856504432 +0000 UTC m=+64.062731534
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8
      RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/distlib
      kit: python-modules-kit
      original.package.name: dev-python/distlib
      original.package.slot: "0"
      original.package.version: 0.3.9
    treedir: /build/packages
  package_dir: /pkgdir/distlib
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 14f42b50bf1cbd38e8eae486dc76ab2a12aa12286eda5100852d1946c8bf3d01
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/distlib/__init__.py
- usr/lib/python3.9/site-packages/distlib/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/compat.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/compat.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/compat.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/database.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/database.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/database.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/index.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/index.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/index.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/locators.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/locators.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/locators.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/manifest.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/manifest.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/manifest.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/markers.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/markers.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/markers.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/metadata.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/metadata.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/metadata.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/resources.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/resources.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/resources.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/scripts.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/scripts.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/scripts.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/util.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/util.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/util.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/version.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/version.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/version.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/wheel.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/wheel.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/distlib/__pycache__/wheel.cpython-39.pyc
- usr/lib/python3.9/site-packages/distlib/compat.py
- usr/lib/python3.9/site-packages/distlib/database.py
- usr/lib/python3.9/site-packages/distlib/index.py
- usr/lib/python3.9/site-packages/distlib/locators.py
- usr/lib/python3.9/site-packages/distlib/manifest.py
- usr/lib/python3.9/site-packages/distlib/markers.py
- usr/lib/python3.9/site-packages/distlib/metadata.py
- usr/lib/python3.9/site-packages/distlib/resources.py
- usr/lib/python3.9/site-packages/distlib/scripts.py
- usr/lib/python3.9/site-packages/distlib/t32.exe
- usr/lib/python3.9/site-packages/distlib/t64-arm.exe
- usr/lib/python3.9/site-packages/distlib/t64.exe
- usr/lib/python3.9/site-packages/distlib/util.py
- usr/lib/python3.9/site-packages/distlib/version.py
- usr/lib/python3.9/site-packages/distlib/w32.exe
- usr/lib/python3.9/site-packages/distlib/w64-arm.exe
- usr/lib/python3.9/site-packages/distlib/w64.exe
- usr/lib/python3.9/site-packages/distlib/wheel.py
- usr/lib/python3.9/site-packages/distlib-0.3.9.dist-info/METADATA
- usr/lib/python3.9/site-packages/distlib-0.3.9.dist-info/RECORD
- usr/lib/python3.9/site-packages/distlib-0.3.9.dist-info/WHEEL
- usr/lib/python3.9/site-packages/distlib-0.3.9.dist-info/top_level.txt
- usr/share/doc/distlib-0.3.9/README.rst.bz2
- var/db/pkg/dev-python/distlib-0.3.9/BDEPEND
- var/db/pkg/dev-python/distlib-0.3.9/BUILD_TIME
- var/db/pkg/dev-python/distlib-0.3.9/CATEGORY
- var/db/pkg/dev-python/distlib-0.3.9/CBUILD
- var/db/pkg/dev-python/distlib-0.3.9/CFLAGS
- var/db/pkg/dev-python/distlib-0.3.9/CHOST
- var/db/pkg/dev-python/distlib-0.3.9/CONTENTS
- var/db/pkg/dev-python/distlib-0.3.9/COUNTER
- var/db/pkg/dev-python/distlib-0.3.9/CTARGET
- var/db/pkg/dev-python/distlib-0.3.9/CXX
- var/db/pkg/dev-python/distlib-0.3.9/CXXFLAGS
- var/db/pkg/dev-python/distlib-0.3.9/DEFINED_PHASES
- var/db/pkg/dev-python/distlib-0.3.9/DESCRIPTION
- var/db/pkg/dev-python/distlib-0.3.9/EAPI
- var/db/pkg/dev-python/distlib-0.3.9/FEATURES
- var/db/pkg/dev-python/distlib-0.3.9/HOMEPAGE
- var/db/pkg/dev-python/distlib-0.3.9/INHERITED
- var/db/pkg/dev-python/distlib-0.3.9/IUSE
- var/db/pkg/dev-python/distlib-0.3.9/IUSE_EFFECTIVE
- var/db/pkg/dev-python/distlib-0.3.9/KEYWORDS
- var/db/pkg/dev-python/distlib-0.3.9/LDFLAGS
- var/db/pkg/dev-python/distlib-0.3.9/LICENSE
- var/db/pkg/dev-python/distlib-0.3.9/PF
- var/db/pkg/dev-python/distlib-0.3.9/RDEPEND
- var/db/pkg/dev-python/distlib-0.3.9/SIZE
- var/db/pkg/dev-python/distlib-0.3.9/SLOT
- var/db/pkg/dev-python/distlib-0.3.9/USE
- var/db/pkg/dev-python/distlib-0.3.9/distlib-0.3.9.ebuild
- var/db/pkg/dev-python/distlib-0.3.9/environment.bz2
- var/db/pkg/dev-python/distlib-0.3.9/repository
package_cacheimage: ""
runtime:
  name: distlib
  version: 0.3.9
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Distribution utilities
  uri:
  - https://github.com/pypa/distlib https://pypi.org/project/distlib/
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/gpep517-6[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-62.3.3[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      dev-python/wheel[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python3_10 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8
    RDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/distlib
    kit: python-modules-kit
    original.package.name: dev-python/distlib
    original.package.slot: "0"
    original.package.version: 0.3.9
